Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.examples.servlink
Class MultilinkExpander

    java.lang.Object
      scone.Plugin
          scone.examples.servlink.MultilinkExpander

    public class MultilinkExpander

extends Plugin

is a Sscone-plugin, that creates ``multilink´´-tags to allow multiple destinations for World Wide Web links. These ``multilinks´´ are requested from Google. To let this plugin work, please get a valid key from http://www.google.com/apis/ and store it in the plugins configuration file.

You can use this plugin either on server- or on client side. If you use it on server side please enable and configure the ServerSide-Plugin as well.

The BuildPopupClientside-Plugin is needed to visualize these multilinks.

ATTENTION: This plugin is sloooow, as for the many requests to Google! Please be patient!

Author:
  Volkert Buchmann

Field Summary
`static java.lang.String` | `COPYRIGHT`
`static int` | `MAXLINKS`

Fields inherited from class scone.Plugin
`ACCESSTRACKING, ACCESSTRACKING2, ADDPREAMBLE, CALCFINGERPRINT, CONSIDERINCLUSIONS, CONSIDERKEYWORDS, CONSIDERLINKS, DECENT_HOST_CONDITION, HTDOCCONDITION, NO_HTDOCCONDITION, NOCACHE, NOREQUIREMENTS, PAGETIMEOUT, PARSEDOCUMENT, POSTDATA, RAS, RESOURCEGENERATOR, SAVEBODYTEXT, SAVESOURCECODE, USEPARSINGMEG`

Constructor Summary
`MultilinkExpander()`

Method Summary
`int` | `getRequirements()` Define the requirements of this plugin by implementing this method.
`void` | `init()` Initializes a scone plugin.
`void` | `terminate()` overwrite this method to be notified when the Proxy terminates

Methods inherited from class scone.Plugin
`addMeg, disable, displayConfigGUI, displayConfigGUI, enable, getProperties, getRasPort, init, saveProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COPYRIGHT

    public static final java.lang.String COPYRIGHT

See Also:
  Constant Field Values

### MAXLINKS

    public static final int MAXLINKS

See Also:
  Constant Field Values

Constructor Detail

### MultilinkExpander

    public MultilinkExpander()

Method Detail

### getRequirements

    public int getRequirements()

  Description copied from class: `Plugin`
  Define the requirements of this plugin by implementing this method.
  A plugin has to specify its requirements which can be as follows:
  NOREQUIREMENTS use this keyword if your plugin does not require any feature.
  PARSEDOCUMENT if required, the HtmlDocument objects will be created and filled.
  ACCESSTRACKING if required, scone's usertracking feature is used
  CONSIDERLINKS if required, Link Objects will be created and filled and LinkToken objects will be created
  CONSIDERINCLUSIONS if required, INCLUSION objects will be created and filled.
  CONSIDERKEYWORDS if required, Keyword objects will be created and filled. This feature will automatically require PARSEDOCUMENT.
  ADDPREAMBLE causes the AddPreambleEditor to be added to the proxy.
  RESOURCEGENERATOR causes the GeneralResourceGenerator to be added to the proxy
  RAS The Remote Access Server is started.

  These requirements have to be combined by the | operator: PARSEDOCUMENT | CONSIDERLINKS will cause scone to create HtmlDocument objects, Link objects and LinkToken objects.

  If a feature is not required by any of the registered plugins, scone will not support it at runtime.

  Specified by:
    `getRequirements` in class `Plugin`
  Returns:
    the requirements

### init

    public void init()

  Description copied from class: `Plugin`
  Initializes a scone plugin. This method is called by the `Scone` framework.

  Specified by:
    `init` in class `Plugin`

### terminate

    public void terminate()

  Description copied from class: `Plugin`
  overwrite this method to be notified when the Proxy terminates

  Overrides:
    `terminate` in class `Plugin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD